Subject: Re: [netmod] comments on draft-clemm-netmod-yang-network-topo-00.txt

From: "Alexander Clemm (alex)" <[email-masked]>
Date: Tue, 15 Oct 2013 04:04:45 +0000

Hi Juergen, Lada, Andy,  

Thank you for your feedback, and apologies for being "offline" for so long.  

Quick responses to Juergen's points:

- It would certainly be possible to use YANG identities to represent topology types.  The reason why we chose the route of instead simply introducing a container per topology type, with the corresponding topology type-specific data inside it, was that this still brings across what type of topology it is - this is simply expressed by the container element - while avoiding the need for another integrity constraint, such as that use of a certain container requires that the topology type MUST be of a certain identity.  Obviously, this can all be subject to further discussions, but this appeared a simpler choice.  

- The choice of URI as identifier, rather than arbitrary identifier, has to do with the potential to have nodes, links, and termination points refer to entities e.g. in a network inventory, or organize them according to some other criteria.  Again, subject to further discussions.  

- Will be happy to not make it experimental but standards track

Kind regards
--- Alex

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ladislav Lhotka
Sent: Thursday, August 01, 2013 4:00 AM
To: Andy Bierman
Cc: [email-masked]
Subject: Re: [netmod] comments on draft-clemm-netmod-yang-network-topo-00.txt

On Aug 1, 2013, at 11:04 AM, Andy Bierman <[email-masked]> wrote:

> Hi,
> 
> I just want to add that I was very impressed with this draft.
> A lot of work was done on the design and the actual data node 
> specifications, and it shows.
> 
> I support adoption of this draft as a NETMOD work item, to produce a 
> standards track RFC.
> (agree w/Juergen Experimental is not desirable).

+1

Lada

> 
> 
> Andy
> 
> 
> On Thu, Aug 1, 2013 at 1:48 AM, Juergen Schoenwaelder 
> <[email-masked]> wrote:
>> Hi,
>> 
>> I have read the document with quite some interest since it kind of 
>> paves the way to do _network_ management instead of just device 
>> management. I am wondering about two little technical details:
>> 
>> a) Why do you not use YANG identities to represent topology types?
>> 
>> b) Why do you use inet:uri as the base type for node-id, link-id, and
>>   tp-id?
>> 
>> The I-D status says 'Intended Status: Experimental' - was your idea 
>> to submit this for eventual publication as an experimental RFC?
>> 
>> /js
>> 
>> --
>> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
>> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
>> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
>> _______________________________________________
>> netmod mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/netmod
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

--
Ladislav Lhotka, CZ.NIC Labs
PGP Key ID: E74E8C0C

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod